Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.index
Class IndexedTag

    java.lang.Object
      net.sourceforge.pebble.domain.Tag
          net.sourceforge.pebble.index.IndexedTag

All Implemented Interfaces:
  java.lang.Comparable, Permalinkable

    public class IndexedTag

extends Tag

Represents a tag.

Author:
  Simon Brown

Field Summary

Fields inherited from class net.sourceforge.pebble.domain.Tag
`rank`

Constructor Summary
`IndexedTag(java.lang.String name, Blog blog)` Creates a new tag with the specified properties.

Method Summary
`void` | `addBlogEntry(java.lang.String blogEntryId)` Adds a blog entry to this tag.
`java.util.List<java.lang.String>` | `getBlogEntries()` Gets the blog entries associated with this tag.
`int` | `getNumberOfBlogEntries()` Gets the number of blog entries associated with this tag.
`int` | `getRank()` Gets the rank for this tag.
`void` | `removeBlogEntry(java.lang.String blogEntryId)` Removes a blog entry to this tag.

Methods inherited from class net.sourceforge.pebble.domain.Tag
`compareTo, encode, equals, getName, getPermalink, hashCode, parse, setName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IndexedTag

    public IndexedTag(java.lang.String name,
                      Blog blog)

  Creates a new tag with the specified properties.

  Parameters:
    `name` - the name
    `blog` - a Blog instance

Method Detail

### getBlogEntries

    public java.util.List<java.lang.String> getBlogEntries()

  Gets the blog entries associated with this tag.

  Returns:
    a Collection of BlogEntry instances

### addBlogEntry

    public void addBlogEntry(java.lang.String blogEntryId)

  Adds a blog entry to this tag.

  Parameters:
    `blogEntryId` - a blog entry ID

### removeBlogEntry

    public void removeBlogEntry(java.lang.String blogEntryId)

  Removes a blog entry to this tag.

  Parameters:
    `blogEntryId` - a blog entry ID

### getNumberOfBlogEntries

    public int getNumberOfBlogEntries()

  Gets the number of blog entries associated with this tag.

  Returns:
    an int

### getRank

    public int getRank()

  Gets the rank for this tag.

  Overrides:
    `getRank` in class `Tag`
  Returns:
    an int between 1 and 10;

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.